import api from '../api.js';

const edit_handler = function(note_state, dispatch){
  dispatch('update-note-editing', {id: note_state.note.id, is_editing: true});
  };
const cancel_handler = function(note_state, dispatch){
  dispatch('update-note-editing', {id: note_state.note.id, is_editing: false});
  };
const text_change_handler = function(note_state, dispatch, e){
  note_state.temp_text = e.target.value;
  };
const save_handler = function(note_state, dispatch){
  dispatch('save-note-edit', {id: note_state.note.id, text: note_state.temp_text});
  api.post('/save', {bin_id: note_state.bin_id, note_id: note_state.note.id, text: note_state.temp_text})
  };

export { edit_handler, cancel_handler, text_change_handler, save_handler };